commit 630e99c3a6f031f98efbeb6ca9bfbc94ce3b18fa
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-tga: bump to version 1.2.2
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit a7c5e512731d2617a2ebac431ec859ad5fc9f8f0
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 15:36:54 2012 +1000

    tga: fix build against older X server.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e1176eb1a009d5d4b9568bf06045297c82c9028c
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 16 04:55:18 2012 +0100

    tga: port to XAA-less server.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit ac6e7154f1f78c7e8dee28dec9ac9f0445735db7
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jun 7 14:53:01 2012 +0100

    tga: port to new compat API.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 8c56d6cb99da1e2439c5f6aa09a72b6e0dc9af04
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 20:03:28 2011 -0700

    Silence warnings by using newer xf86dgaproto
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit a7f58500fba5a75c41130b6e1a13739c999d5864
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 20:00:30 2011 -0700

    Use malloc/calloc/realloc/free directly
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 164ce88c1432af6cfa509d8bc8a811c8a4ab1779
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:52 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f16cfd83a125f972852b87405de84a1bc9ad0b7e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit fafad5130633a1bf096766b8288fa7840c382074
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit dfd26fe04309c017d758ec4bed0dc7d976106491
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:42 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8ae23a90f9209b8220749878433d779ab8823804
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:23 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 05ba0a075651df4cffb9d65178a6c755ea203b40
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ccaef2901698556895cd6e2aa1315251d4d98dba
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:58 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6a408a195e0c0158c9303d6f056d4741a1739ccb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3e5382db2ffaf437370a5e5398edc7a42a2952bd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 266ffa8df5a5df5dd3840c28120c131ec3984ea1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 216273764f00cb7c5d8ba5eec225e029e431dfea
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 14 08:08:36 2010 -0400

    README: keep the text version of README, discard the sgml version
    
    The linuxdoc doc tool is deprecated.
    README files are exclusively text files.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit aefdf980aa6f2230ecbd0c207da149e02a41fb35
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 14 08:05:47 2010 -0400

    README: fix linuxdoc content
    
    defs.ent are located under X11 directory
    ident tag is not a Linuxdoc tag
    replace docbook email tag with linuxdoc email tag
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 21a0a621fdb2d46e08a8c47726d01dae5fa3c0ea
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 11:37:48 2010 -0400

    COPYING: replace stub file with actual Copyright notices.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e36e4427440e0c78b5c8e7c69c9ba52e3a1f9132
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 22:01:02 2009 -0500

    configure.ac: remove unused sdkdir=$(pkg-config...) statement
    
    The sdkdir variable isn't use, so remove the statement.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3433acdeb36e64b21a55fe38d9ac0be5488d75ec
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:06 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 0af31827e98287882b82af94cf1f4d82fa1173e1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit 92bce5dbf6397655b23698e2d2b393f5ed09deab
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 06b06031792a205f18a7a8546512a613072269d7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:22 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 5fd40c5ad920f75f0984ac125106dd2acd195544
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:18 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit f8ab003b1bf36ee9bd336689f79c3f4f2801f7f4
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 7 14:51:16 2009 +1000

    bump to 1.2.1

commit 0922506f4c4627e4a0b6041c3569656e5314e937
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:41 2009 +1000

    tga: change to using ABI version check

commit 2e5ad88716038229563e0682b2665f156aab0d33
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:39 2009 +1000

    tga: update for resources/RAC API removal

commit 60a7cad2c07bd23f58de07e927d0abbadd5e3bc8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 16 11:57:07 2009 +1000

    Update to xextproto 7.1 support.
    
    DPMS header was split into dpms.h (client) and dpmsconst.h (server). Drivers
    need to include dpmsconst.h if xextproto 7.1 is available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a1de18228b0e6743f9615d820229a7b144f3f5ac
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 28 15:22:15 2009 -0400

    Remove useless loader symbol lists.

commit 72e3e402ef00ff1ef910e6e0319b87182ae668b0
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri May 15 02:53:13 2009 +0200

    Add unistd.h include for getpagesize() and usleep()

commit 2ab537c3cfe2dbb498ee2f46bf3448c094d7e76b
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Sep 3 18:16:13 2008 -0400

    tga 1.2.0

commit 8454aa075defe1f8c89834cbf0a900297e4f83ca
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Sep 3 18:15:17 2008 -0400

    Fix distcheck

commit 1af1f6db07bf83c4741692590647bad2ebc8706b
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Aug 19 10:21:53 2008 -0400

    Uninclude xf86Version.h

commit 06ba97efddc13581f6d10de6a21cc7b48fbf283f
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Feb 27 13:43:42 2008 +1000

    tga: fixup devPrivates

commit 0c6c41b7b772f75cffbf189c8a84fa04b089fa71
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Feb 27 13:38:03 2008 +1000

    pciaccess conversion

commit e15d5160c3b9466f2ec3b5fc66695f70885fa133
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:52:47 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit a896ef14189e782c117b5b08440254ec1a609396
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Aug 23 19:25:59 2007 -0400

    Rename .cvsignore to .gitignore

commit a5d1ffc70d5b45e4579b73a265f07a453ee91c81
Author: Brice Goglin <bgoglin@debian.org>
Date:   Tue Aug 7 11:55:13 2007 +0200

    TGA_*_VERSION using PACKAGE_VERSION_*

commit 4fb2560e8ef828e91a6a2a2ca3367befd99748f0
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 21:40:34 2006 +0000

    Unlibcwrap. Bump server version requirement. Bump to 1.1.0.

commit b87b76bd12cf8d155b598b1bb2b7640cea4f7b8d
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:30:04 2005 +0000

    Update package version for X11R7 release.

commit 65db063fcf46fd80bb308cf8e1fb7803883a74d3
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:25:55 2005 +0000

    Stub COPYING files

commit 5663dd86dbae585af9459dd0027a6a8988e0aad1
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:20 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 07a9fc52976796ba3c36a76961ed01c914c4b1c0
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Dec 9 07:36:25 2005 +0000

    Make tga_seg.c generation srcdir != objdir safe.

commit 8bba85351b90cb873699ff93703542c2a5d62c33
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Dec 8 22:40:22 2005 +0000

    Fix a miscompile.

commit 43b4b3c58710dd7bc7d15531cf7f30378dda501e
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:36 2005 +0000

    Update package version number for X11R7 RC3 release.

commit e2518dfe9e8244299faa934b42212ede79aadaa7
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Dec 2 02:16:11 2005 +0000

    Remove extraneous AC_MSG_RESULT.

commit b0460581a96fa23d4b6a5d5df85b8e71e3e660ba
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Nov 29 23:30:05 2005 +0000

    Only build dlloader modules by default.

commit d27500dc2d459edbd231df3056ae7a8a630fb5a5
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:49:20 2005 +0000

    Add .cvsignores for drivers.

commit b06433d7942c0debc898c2c4e1bdebd0aa35c1b4
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 15 05:42:03 2005 +0000

    Add check for DGA extension to fix issues when building with separate build
        roots.

commit f077b9b24532dd9395f2d3f1692bc26c1c5de564
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:15:22 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 27386017a4a3a9b2a72c4f0d70faea8d7cfe84f5
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:08:55 2005 +0000

    Update pkgcheck depedencies to work with separate build roots.

commit 2d71c5b5e1bfcb98d171a5105cbb7051f38ef15c
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:05 2005 +0000

    Update package version number for RC1 release.

commit 077efbfeb3f3e994263f3890566605398c4d608d
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 00:09:07 2005 +0000

    Use sed & cpp to substitute variables in driver man pages

commit f8d04546c62b1ce50a7e80839158eaafda6dfcab
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Oct 4 20:01:03 2005 +0000

    Check in generated README files

commit d172ee452c165b625821e2035a28a2bdb32344f0
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Mon Oct 3 21:22:08 2005 +0000

    - For all drivers that have a <driver>.sgml file, add code in their build
        system to build the README file at make dist time
    - in util/macros/xorg-macros.m4, add a new XORG_CHECK_LINUXDOC macro that
        will check if the required tools and files exist, and if so set a
        conditional.
    - util/modular/symlink.sh
    - Link all the <driver>.sgml to xf86-video-<driver>/README.sgml
    - Add all the README.<driver> to the list of excluded files
    - xc/programs/Xserver/hw/xfree86/doc/sgml/SiS.sgml: Various changes to make
        it spew less warnings when the text file is built.

commit 18f6c6e9f560315b51f6b0cce601a5c4b70d471e
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 18 09:03:52 2005 +0000

    Update autogen.sh to one that does objdir != srcdir.

commit 038df9d9003c8e31bdc6aa412cb204b2dde2c7c2
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:45 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit ff13f628bc7106767739d3094ea77de26203aed9
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jul 26 23:48:51 2005 +0000

    Build system for tga

commit 859a91fcf9db665408e01979167a50eea2621ceb
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Jul 11 02:30:02 2005 +0000

    Prep for modular builds by adding guarded #include "config.h" everywhere.

commit c6409cdb48a19503a92f41964ce84e2edecca8a9
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Jul 3 08:53:43 2005 +0000

    Change <X11/misc.h> and <X11/os.h> to "misc.h" and "os.h".

commit eb68bcdd94d6474d0ae6f222d5765a303aa368a7
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Jul 1 22:43:21 2005 +0000

    Change all misc.h and os.h references to <X11/foo.h>.

commit c9c54fe9682d74c098506d49cb24c76897e775a3
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jun 25 21:16:57 2005 +0000

    Bug #3626: _X_EXPORT tags for video and input drivers.

commit 79c90340e8835b9d7eac97f4c5deb8c50c4c5802
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Apr 20 12:25:31 2005 +0000

    Fix includes right throughout the Xserver tree:
    change "foo.h" to <X11/foo.h> for core headers, e.g. X.h, Xpoll.h;
    change "foo.h", "extensions/foo.h" and "X11/foo.h" to
        <X11/extensions/foo.h> for extension headers, e.g. Xv.h;
    change "foo.[ch]" to <X11/Xtrans/foo.[ch]> for Xtrans files.

commit 148612d0a56137bd352af8642fad1985f7ce34f2
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Feb 25 16:38:34 2005 +0000

    Bug #2605: Make the cyrix, dummy, glint, neomagic, tga, and trident drivers
        build when BuildXF86DGA NO.
    (also fix some datestamps in the changelog)

commit 7651737b93dfbf91fc84074e2a785623fc05c4b4
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Jul 30 20:30:55 2004 +0000

    Bug #400 (partial): Driver fixes for the dlloader. When using dlloader, all
        framebuffer formats except cfb and the overlay modes should work, and
        r128 and radeon need to be loaded from the ati driver (both issues to
        be fixed soon). Tested on i740, s3virge, mach64, tdfx, vesa, and vga
        drivers. elfloader users shouldn't be affected.

commit 9eac6dfabcd20c990fdc1e71c1eb6de06c87af26
Author: Eric Anholt <anholt@freebsd.org>
Date:   Wed Jun 16 09:24:04 2004 +0000

    DRI XFree86-4_3_99_12-merge import

commit 805fdbee866c446db7c3308dd5eca6dee7398831
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:50:24 2004 +0000

    Merging XORG-CURRENT into trunk

commit ae0914702bc161afee041ba2abcdb61b1c63d3cb
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:33:37 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 6a634fac5cd3947a613a05cc32c45b7fb25b1082
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:27 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit f329056951ac1990fb7a82b69dd7e1ec8b9fdfd4
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:55 2004 +0000

    readding XFree86's cvs IDs

commit ba93b590923e13d6c416385928f448be495af876
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:27 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 212436c681c46f33f2ad96e33b0e21f306a46a47
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:43 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit ea0e108b28b440cbff9acbb471f3aec2370914be
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:55 2003 +0000

    XFree86 4.3.0.1

commit 677304545d45d78574e4252fa1c572e7861f1a73
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:55 2003 +0000

    Initial revision

commit b077108c744cf66a1276f896513180f53573035c
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:49 2003 +0000

    R6.6 is the Xorg base-line
